CGAL 6.2 - 2D Triangulations

Loading...
Searching...
No Matches
List of all members
CGAL::Robust_weighted_circumcenter_filtered_traits_2< K > Class Template Reference
Reference Manual » Traits Classes

`#include <CGAL/Robust_weighted_circumcenter_filtered_traits_2.h>`

## Inherits from

CGAL::Robust_circumcenter_filtered_traits_2< K >.

## Definition

template<class K>
class CGAL::Robust_weighted_circumcenter_filtered_traits_2< K >

Upgrades the functors models of `Kernel::ConstructWeightedCircumcenter_2`, and `Kernel::ComputeSquaredRadiusSmallestOrthogonalCircle_2` that are provided by `K` with robust versions.

This improved robustness is achieved by using exact computations if the geometric configuration is close to degenerate (e.g. almost coplanar points). The upgrade is completely invisible from an interface point of view as the class `Robust_weighted_circumcenter_filtered_traits_2` overrides the types and function objects provided by `K`.

Template Parameters

  K | must be a model of the `Kernel` concept.

See also
  `CGAL::Robust_circumcenter_filtered_traits_2<K>`
  Robustness Issues

## Types
typedef unspecified_type | Construct_weighted_circumcenter_2
| a model of `Kernel::ConstructWeightedCircumcenter_2`
typedef unspecified_type | Compute_squared_radius_smallest_orthogonal_circle_2
| a model of `Kernel::ComputeSquaredRadiusSmallestOrthogonalCircle_2`

## Operations
Construct_weighted_circumcenter_2 | construct_weighted_circumcenter_2_object ()
Compute_squared_radius_smallest_orthogonal_circle_2 | compute_squared_radius_smallest_orthogonal_circle_2_object ()

## Additional Inherited Members
Public Types inherited from CGAL::Robust_circumcenter_filtered_traits_2< K >
typedef unspecified_type | Construct_circumcenter_2
| a model of `Kernel::ConstructCircumcenter_2`
typedef unspecified_type | Compute_squared_radius_2
| a model of `Kernel::ComputeSquaredRadius_2`
Public Member Functions inherited from CGAL::Robust_circumcenter_filtered_traits_2< K >
Construct_circumcenter_2 | construct_circumcenter_2_object ()
Compute_squared_radius_2 | compute_squared_radius_2_object ()